Skip to content

Try “workflows”, “templates”, “SOQL” or “create a record”.

Flows

Put records on a pipeline, update flow items and move them between stages.

List items in a flow

GET/flows/{flowId}/states
Scope flows:viewRead-only

Path parameters

NameType
flowIdrequiredstring

Query parameters

NameType
limitnumber
cursorstring
sortstring
dir"asc" | "desc"
filterstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/flows/{flowId}/states?limit=25" \  -H "Authorization: Bearer $KLERC_TOKEN"

Add a record to a flow

POST/flows/{flowId}/states
Scope flows:useWrites data

Path parameters

NameType
flowIdrequiredstring

Request body

FieldType
recordstring
stagestring
dataobject

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/flows/{flowId}/states" \  -H "Authorization: Bearer $KLERC_TOKEN" \  -H "Content-Type: application/json" \  -d '{"record":"…","stage":"…","data":{}}'

Get a flow item by id

GET/flows/states/{id}
Scope flows:viewRead-only

Path parameters

NameType
idrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/flows/states/{id}" \  -H "Authorization: Bearer $KLERC_TOKEN"

Update a flow item

PATCH/flows/states/{id}
Scope flows:useWrites data

Path parameters

NameType
idrequiredstring

Request body

FieldType
dataobject

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X PATCH "https://api.klerc.co/api/v1/flows/states/{id}" \  -H "Authorization: Bearer $KLERC_TOKEN" \  -H "Content-Type: application/json" \  -d '{"data":{}}'

Remove an item from a flow

DELETE/flows/states/{id}
Scope flows:useWrites data

Path parameters

NameType
idrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X DELETE "https://api.klerc.co/api/v1/flows/states/{id}" \  -H "Authorization: Bearer $KLERC_TOKEN"

Move a flow item to another stage

POST/flows/states/{id}/transition
Scope flows:useWrites data

Path parameters

NameType
idrequiredstring

Request body

FieldType
stagestring
toStagestring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/flows/states/{id}/transition" \  -H "Authorization: Bearer $KLERC_TOKEN" \  -H "Content-Type: application/json" \  -d '{"stage":"…","toStage":"…"}'

Bulk-enroll records into a flow

POST/flows/{flowId}/states/bulk
Scope flows:useWrites data

Path parameters

NameType
flowIdrequiredstring

Request body

FieldType
recordsrequiredarray of object

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/flows/{flowId}/states/bulk" \  -H "Authorization: Bearer $KLERC_TOKEN" \  -H "Content-Type: application/json" \  -d '{"records":[{}]}'

List flows (pipelines)

GET/flows
Scope flows:viewRead-only

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/flows" \  -H "Authorization: Bearer $KLERC_TOKEN"

Create a flow (pipeline)

POST/flows
Scope flows:manageWrites data

Request body

FieldType
namerequiredstring
pluralNamestring
slugstring
objectstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/flows" \  -H "Authorization: Bearer $KLERC_TOKEN" \  -H "Content-Type: application/json" \  -d '{"name":"…","pluralName":"…","slug":"…","object":"…"}'

Get a flow (pipeline)

GET/flows/{id}
Scope flows:viewRead-only

Path parameters

NameType
idrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/flows/{id}" \  -H "Authorization: Bearer $KLERC_TOKEN"

Update a flow (pipeline / stages)

PATCH/flows/{id}
Scope flows:manageWrites data

Path parameters

NameType
idrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X PATCH "https://api.klerc.co/api/v1/flows/{id}" \  -H "Authorization: Bearer $KLERC_TOKEN"

Delete a flow (pipeline)

DELETE/flows/{id}
Scope flows:manageWrites data

Path parameters

NameType
idrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X DELETE "https://api.klerc.co/api/v1/flows/{id}" \  -H "Authorization: Bearer $KLERC_TOKEN"